Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### PI (3.14159...)

Examples

    float f = 0.0;
    beginShape(POLYGON);
    while(f < PI) {
      vertex(width/2 + cos(f)*40, height/2 + sin(f)*40);
      f += PI/12.0;
    }
    endShape();

Description | PI is a mathematical constant with the value 3.14159265358979323846. It is the ratio of the circumference of a circle to its diameter. It is useful in combination with the trigonometric functions sin() and cos().

Syntax

    PI

Parameters

Usage | Web & Application
Related | TWO_PI HALF_PI

Updated on December 20, 2005 02:03:00pm PST